## mimetreeparser 24.12.0

=== debian/changelog ===
mimetreeparser (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:31 +0100

mimetreeparser (24.12.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit qml6-module-org-kde-mimetreeparser to architectures where Qt 6
    WebEngine is available.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Dec 2024 12:41:20 +0100

mimetreeparser (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:19 +0100

mimetreeparser (24.08.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 Nov 2024 14:06:51 +0100

mimetreeparser (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:27 +0200

mimetreeparser (24.08.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1080958)

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 10:59:09 +0200
