=== debian/control ===
Source: mimetreeparser
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               gpg-agent <!nocheck>,
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkleo-dev (>= 4:24.12.0~),
               libkmbox-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libxkbcommon-dev,
               qml6-module-org-kde-kirigami,
               qml6-module-qtwebengine [amd64 arm64 armhf i386],
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mimetreeparser
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
Rules-Requires-Root: no

Package: libmimetreeparser-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: MIME tree parser - data files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the data files.

Package: libkpim6mimetreeparsercore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the core library.

Package: libkpim6mimetreeparserwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the widgets library.

Package: libmimetreeparser-dev
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.6.0~),
         libkmbox-dev (>= 24.12.0~),
         libkmime-dev (>= 24.12.0~),
         libkpim6mimetreeparsercore6 (= ${binary:Version}),
         libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
         ${misc:Depends},
Description: MIME tree parser - development files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the development files.
Section: libdevel

Package: qml6-module-org-kde-mimetreeparser
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: QML module for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the QML module.
