=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
@@ -15,9 +15,9 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -78,8 +78,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 24.12.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmbox-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
