## mimetreeparser 24.12.3

=== debian/changelog ===
mimetreeparser (24.12.3-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 24.12.0-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 11 Jan 2025 15:32:04 +0000]
  * Remove armhf from qtwebengine related architecture lists.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 05 May 2025 12:02:28 +0000

mimetreeparser (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:28 +0100
