=== debian/control ===
--- 
+++ 
@@ -15,18 +15,18 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.2~),
-               libkmbox-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
+               libkleo-dev (>= 4:24.12.3~),
+               libkmbox-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
-               qml6-module-qtwebengine [amd64 arm64 armhf i386],
+               qml6-module-qtwebengine [amd64 arm64 i386],
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/mimetreeparser
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
@@ -78,11 +78,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 24.12.2~),
-         libkmime-dev (>= 24.12.2~),
+         libkmbox-dev (>= 24.12.3~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
-         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
+         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 i386],
          ${misc:Depends},
 Description: MIME tree parser - development files
  This is a parser for a MIME tree and is based on KMime. The goal is
@@ -94,7 +94,7 @@
 Section: libdevel
 
 Package: qml6-module-org-kde-mimetreeparser
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser
