## mimetreeparser 25.07.80

=== debian/changelog ===
mimetreeparser (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Add new build depends.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:44 +0100

mimetreeparser (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:51 +0100

mimetreeparser (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:02:14 +0100
