=== debian/control ===
--- 
+++ 
@@ -15,10 +15,12 @@
                libgpgmepp-dev (>= 1.23.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
+               libkf6colorscheme-dev,
+               libkf6config-dev,
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.04.1~),
-               libkmbox-dev (>= 25.04.1~),
-               libkmime-dev (>= 25.04.1~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmbox-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -79,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.04.1~),
-         libkmime-dev (>= 25.04.1~),
+         libkmbox-dev (>= 25.07.80~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
