=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
                libkf6colorscheme-dev,
                libkf6config-dev,
+               libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmbox-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmbox-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.07.80~),
-         libkmime-dev (>= 25.07.80~),
+         libkmbox-dev (>= 25.07.90~),
+         libkmime-dev (>= 25.07.90~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
