=== examples/qml/CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,6 @@
     KPim6::Mbox
     Gpgmepp
 )
-if(TARGET KF6::I18nQml)
 target_link_libraries(mimetreeparser-qml PUBLIC
         KF6::I18nQml
 )
-endif()
