## mimetreeparser 25.08.1+p24.04+vstable+git20250912.2139

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
