## mimetreeparser 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,9 +56,9 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(KPIM_MIME_VERSION "6.5.1")
-set(KPIM_LIBKLEO_VERSION "6.5.1")
-set(KPIM_MBOX_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.2")
+set(KPIM_LIBKLEO_VERSION "6.5.2")
+set(KPIM_MBOX_VERSION "6.5.2")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
