=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,10 @@
      messageviewer.cpp
      messageviewerdialog.h
      messageviewerdialog.cpp
+     messageviewerwindow.h
+     messageviewerwindow.cpp
+     messageviewerutils_p.h
+     messageviewerutils_p.cpp
 )
 
 ecm_qt_declare_logging_category(KPim6MimeTreeParserWidgets
@@ -48,6 +52,7 @@
     KPim6::MimeTreeParserCore
     Qt::PrintSupport
     KF6::I18n
+    KF6::ColorScheme
     KF6::CalendarCore
     KF6::WidgetsAddons
     KPim6::Libkleo
@@ -77,6 +82,7 @@
     HEADER_NAMES
         MessageViewer
         MessageViewerDialog
+        MessageViewerWindow
     REQUIRED_HEADERS MimeTreeParserWidgets_HEADERS
     PREFIX MimeTreeParserWidgets
 )
