=== debian/control ===
Source: mimetreeparser
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcolorscheme-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-libkleo-dev,
               libcups2-dev,
               libgpgme-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/mimetreeparser
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mimetreeparser.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mimetreeparser
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-mimetreeparser
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for handling MIME data
 This library is a parser for a MIME tree and is based on KMime. The
 goal is given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-mimetreeparser-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-ki18n-dev,
         kpim6-kmbox-dev,
         kpim6-kmime-dev,
         kpim6-mimetreeparser,
         qt6-base-dev,
         ${misc:Depends}
Description: library for handling MIME data - development files
 This library is a parser for a MIME tree and is based on KMime. The
 goal is given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the development files.
