## mimetreeparser 25.08.2+p24.04+vstable+git20251013.0013

=== debian/changelog ===
mimetreeparser (25.08.2+p24.04+vstable+git20251013.0013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 00:13:05 +0000
