## mimetreeparser 25.08.2+p24.04+vstable+git20251015.1739

=== debian/changelog ===
mimetreeparser (25.08.2+p24.04+vstable+git20251015.1739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:39:21 +0000
