## mimetreeparser 25.08.2+p24.04+vstable+git20251021.0351

=== debian/changelog ===
mimetreeparser (25.08.2+p24.04+vstable+git20251021.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:51:17 +0000
